using SqlSugar;

namespace OpenAuth.Repository.Domain
{
    ///<summary>
    /// shp_geo_layer
    ///</summary>
    [SugarTable("shp_geo_layer")]
    public  class ShpGeoLayer
    {
        public ShpGeoLayer()
        {
        }

        /// <summary>
        /// Desc:
        /// Default:
        /// Nullable:False
        /// </summary>           
        [SugarColumn(IsPrimaryKey = true, ColumnName = "id")]
        public string Id { get; set; }

        /// <summary>
        /// Desc:服务名称
        /// Default:
        /// Nullable:True
        /// </summary>
        [SugarColumn(ColumnName = "server_name")]
        public string ServerName { get; set; }

        /// <summary>
        /// 服务地址
        /// </summary>
        [SugarColumn(ColumnName = "server_url")]
        public string ServerUrl { get; set; }

        /// <summary>
        /// 空间参考
        /// </summary>
        [SugarColumn(ColumnName = "spatial_ref")]
        public string SpatialRef { get; set; }

        /// <summary>
        /// 数据类型
        /// </summary>
        [SugarColumn(ColumnName = "data_type")]
        public string DataType { get; set; }
        //data_source_type
        /// <summary>
        /// 数据源类型
        /// </summary>
        [SugarColumn(ColumnName = "data_source_type")]
        public string DataSourceType { get; set; }

        /// <summary>
        /// 数据表名
        /// </summary>
        [SugarColumn(ColumnName = "data_table")]
        public string DataTable { get; set; }

        /// <summary>
        /// shp 文件路径
        /// </summary>
        [SugarColumn(ColumnName = "shp_path")]
        public string ShpPath { get; set; }
        
        [SugarColumn(ColumnName = "append_path")]
        public string AppendPath { get; set; }

        /// <summary>
        /// 创建时间
        /// </summary>
        [SugarColumn(ColumnName = "create_time")]
        public DateTime? CreateTime { get; set; }

        /// <summary>
        ///  更新时间
        /// </summary>
        [SugarColumn(ColumnName = "update_time")]
        public DateTime? UpdateTime { get; set; }
        
        [SugarColumn(ColumnName = "pbf_url")]
        public string PbfUrl { get; set; }
        
        // mvt 样式
        [SugarColumn(ColumnName = "style")]
        public string style { get; set; }
        
        [SugarColumn(ColumnName = "county_name")]
        public string countyname { get; set; }
        [SugarColumn(ColumnName = "style_name")]
        public string StyleName { get; set; }
    }
}